Retrieve a group's associated accounts
curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/accounts \
--cookie JSESSIONID=import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/accounts"
headers = {"cookie": "JSESSIONID="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'JSESSIONID='}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/accounts")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body[
{
"account": {
"activatedDate": 1651180416000,
"attributes": {
"bssName": "nxt",
"com.uxpsystems.mint.account.AccountNumber": "2656738069",
"internalProviderAccountId": "2656738069",
"paymentProviderAccountId": "2220784",
"paymentProviderId": "vindicia",
"bssAccounts": [
{
"accountId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"externalId": "2293912935",
"email": "email@example.com",
"language": "en",
"name": "John",
"metadta": {},
"id": 1,
"addresses": [
{
"city": "Toronto",
"country": "Canada",
"division": "PROVINCE",
"fax": "12345",
"phone": "12345",
"name": "John Smith",
"postalCode": "M2J 4K5",
"street": "300 Main st",
"longitude": 123,
"latitude": 123,
"id": 1
}
]
}
],
"paymentDetails": [
{
"paymentMethodId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodVid": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodName": "Postpaid",
"paymentTypeName": "Postpaid",
"active": true,
"primary": true,
"status": "ACTIVE",
"additionalFields": {},
"billingAccountNumber": "2293912935",
"cardNumber": "40345334878402386634",
"expirationMonth": "2028",
"expirationYear": "11",
"classType": "com.uxpsystems.mint.attributes.MerchantAcceptedPayment",
"id": 1
}
]
},
"createdDate": 1651180416000,
"deactivatedDate": 1651180416000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"subscriptions": [
{
"activatedDate": 1651180416000,
"attributes": {
"paymentProviderSubscriptions": [
{
"id": 1,
"providerSubscriptionId": "f2369f70b673eb71ae2e44438c675ab4a090ccbf",
"internalProviderSubscriptionId": "HBOMax_77799990278191",
"productId": "HBOMax",
"subscriptionStartDate": 1629849600000,
"subscriptionEndDate": 1629849600000,
"productDescription": "HBO Max",
"billingState": "FREE_TRIAL",
"subscriptionStatus": "ACTIVE",
"nextSubscriptionBillingDate": 1629849600000,
"nextSubscriptionPrice": 1,
"nextSubscriptionCurrency": "MXN",
"subscriptionPrice": 1,
"subscriptionCurrency": "MXN",
"purchaseSource": "PUSH_NOTIFICATION",
"serviceType": "RECURRING",
"additionalFields": {},
"plmCode": "hbomax.dcb.standard",
"entitledThrough": 1629849600000,
"paymentMethod": {
"paymentMethodId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodVid": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodName": "Postpaid",
"paymentTypeName": "Postpaid",
"active": true,
"primary": true,
"status": "ACTIVE",
"additionalFields": {},
"billingAccountNumber": "2293912935",
"cardNumber": "40345334878402386634",
"expirationMonth": "2028",
"expirationYear": "11",
"classType": "com.uxpsystems.mint.attributes.MerchantAcceptedPayment",
"id": 1
}
}
]
},
"createdDate": 1651180416000,
"deactivatedDate": 1651180416000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"suspendedDate": 1651180416000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1651180416000
}
],
"suspendedDate": 1651180416000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1651180416000
},
"attributes": {},
"flags": {
"mint.permission.read": "true",
"mint.role": "mint.role.user"
},
"group": {
"activatedDate": 1514766808000,
"attributes": {},
"createdDate": 1538682581776,
"deactivatedDate": 1543833950000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"suspendedDate": 1527917430000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1538682581776
}
}
]{
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "invalid-page-offset",
"message": "The requested page size is larger than the permitted max page size."
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "group-not-found",
"message": "The requested resource was not found: com.uxpsystems.mint.framework.group.model.GenericGroup[id:606]"
}
]
}Retrieve a group's associated accounts
Retrieves a list of all ULM accounts associated to the ULM group specified by the groupId number. Each result in the list is a group-to-runtime association, and it includes:
- The group, including its properties and attributes
- The associated account, including its properties and attributes
- The subscriptions contained within the account, including their properties and attributes
- The association flags and attributes (if any) of the association
GET
/
group
/
{groupId}
/
accounts
Retrieve a group's associated accounts
curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/accounts \
--cookie JSESSIONID=import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/accounts"
headers = {"cookie": "JSESSIONID="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'JSESSIONID='}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/accounts")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body[
{
"account": {
"activatedDate": 1651180416000,
"attributes": {
"bssName": "nxt",
"com.uxpsystems.mint.account.AccountNumber": "2656738069",
"internalProviderAccountId": "2656738069",
"paymentProviderAccountId": "2220784",
"paymentProviderId": "vindicia",
"bssAccounts": [
{
"accountId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"externalId": "2293912935",
"email": "email@example.com",
"language": "en",
"name": "John",
"metadta": {},
"id": 1,
"addresses": [
{
"city": "Toronto",
"country": "Canada",
"division": "PROVINCE",
"fax": "12345",
"phone": "12345",
"name": "John Smith",
"postalCode": "M2J 4K5",
"street": "300 Main st",
"longitude": 123,
"latitude": 123,
"id": 1
}
]
}
],
"paymentDetails": [
{
"paymentMethodId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodVid": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodName": "Postpaid",
"paymentTypeName": "Postpaid",
"active": true,
"primary": true,
"status": "ACTIVE",
"additionalFields": {},
"billingAccountNumber": "2293912935",
"cardNumber": "40345334878402386634",
"expirationMonth": "2028",
"expirationYear": "11",
"classType": "com.uxpsystems.mint.attributes.MerchantAcceptedPayment",
"id": 1
}
]
},
"createdDate": 1651180416000,
"deactivatedDate": 1651180416000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"subscriptions": [
{
"activatedDate": 1651180416000,
"attributes": {
"paymentProviderSubscriptions": [
{
"id": 1,
"providerSubscriptionId": "f2369f70b673eb71ae2e44438c675ab4a090ccbf",
"internalProviderSubscriptionId": "HBOMax_77799990278191",
"productId": "HBOMax",
"subscriptionStartDate": 1629849600000,
"subscriptionEndDate": 1629849600000,
"productDescription": "HBO Max",
"billingState": "FREE_TRIAL",
"subscriptionStatus": "ACTIVE",
"nextSubscriptionBillingDate": 1629849600000,
"nextSubscriptionPrice": 1,
"nextSubscriptionCurrency": "MXN",
"subscriptionPrice": 1,
"subscriptionCurrency": "MXN",
"purchaseSource": "PUSH_NOTIFICATION",
"serviceType": "RECURRING",
"additionalFields": {},
"plmCode": "hbomax.dcb.standard",
"entitledThrough": 1629849600000,
"paymentMethod": {
"paymentMethodId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodVid": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodName": "Postpaid",
"paymentTypeName": "Postpaid",
"active": true,
"primary": true,
"status": "ACTIVE",
"additionalFields": {},
"billingAccountNumber": "2293912935",
"cardNumber": "40345334878402386634",
"expirationMonth": "2028",
"expirationYear": "11",
"classType": "com.uxpsystems.mint.attributes.MerchantAcceptedPayment",
"id": 1
}
}
]
},
"createdDate": 1651180416000,
"deactivatedDate": 1651180416000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"suspendedDate": 1651180416000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1651180416000
}
],
"suspendedDate": 1651180416000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1651180416000
},
"attributes": {},
"flags": {
"mint.permission.read": "true",
"mint.role": "mint.role.user"
},
"group": {
"activatedDate": 1514766808000,
"attributes": {},
"createdDate": 1538682581776,
"deactivatedDate": 1543833950000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"suspendedDate": 1527917430000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1538682581776
}
}
]{
"fieldErrors": [
{
"code": "NotNull",
"code_v2": "not-null",
"field": "name",
"message": "Value must not be null",
"rejectedValue": "bad value"
}
],
"operationErrors": [
{
"code": "invalid-page-offset",
"message": "The requested page size is larger than the permitted max page size."
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "group-not-found",
"message": "The requested resource was not found: com.uxpsystems.mint.framework.group.model.GenericGroup[id:606]"
}
]
}Authorizations
cookieAuthOIDC
Path Parameters
The unique ID number of the group Example: 606
Query Parameters
The initial position to search from
The maximum number of results to return
Response
OK - successfully retrieved the group's associated accounts
The data fields that define a ULM account.
Show child attributes
Show child attributes
Group to User Association Response Attributes
Show child attributes
Show child attributes
The flags that specify the relationship between the associated entities.
Show child attributes
Show child attributes
Example:
{ "mint.permission.read": "true", "mint.role": "mint.role.user" }
The data fields that define a ULM group. Note: Not all of the listed fields may be present in a response.
Show child attributes
Show child attributes

